<?php

// $WP_Analytify_WooCommerce = new Analytify_General();
$WP_Analytify  = $GLOBALS['WP_ANALYTIFY'];

$start_date_val =   strtotime("- 30 days");
$end_date_val   =   strtotime("now");
$start_date     =   date( "Y-m-d", $start_date_val );
$end_date       =   date( "Y-m-d", $end_date_val );

if( isset( $_POST["view_data"] ) ) {

  $s_date  = sanitize_text_field( wp_unslash( $_POST['st_date'] ) );
  $ed_date = sanitize_text_field( wp_unslash( $_POST['ed_date'] ) );

}

if( isset( $s_date ) ) {
  $start_date = $s_date;
}

if( isset( $ed_date ) ) {
  $end_date = $ed_date;
}

$date1 = date_create( $start_date );
$date2 = date_create( $end_date );
$diff  = date_diff( $date2, $date1 );

$compare_start_date = strtotime( $start_date . $diff->format( '%R%a days' ) );
$compare_start_date = date( 'Y-m-d', $compare_start_date );
$compare_end_date  	= $start_date;

// Fetch Dashboard Profile ID.
$dashboard_profile_ID = $WP_Analytify->settings->get_option('profile_for_dashboard','wp-analytify-profile');

// Remove cache if delete cache is enabled.
if ( 'on' === $WP_Analytify->settings->get_option( 'delete_dashboard_cache','wp-analytify-dashboard' ) ) {
  self::delete_woo_transients( $dashboard_profile_ID, $start_date, $end_date );
}



$report_url        = WP_ANALYTIFY_FUNCTIONS::get_ga_report_url( $dashboard_profile_ID ) ;
$report_date_range = WP_ANALYTIFY_FUNCTIONS::get_ga_report_range( $start_date, $end_date, $compare_start_date, $compare_end_date );

?>
<div class="analytify_wraper">


  <div class="analytify_main_title_section">
    <h1 class="analytify_pull_left analytify_main_title"><?php esc_html_e( 'Woocommerce Dashboard', 'wp-analytify-woocommerce' ); ?></h1>
    <div class="analytify_select_dashboard analytify_pull_right">

      <?php do_action( 'analytify_dashboad_dropdown' ); ?>

    </div>
  </div>
	<?php

	if( WP_ANALYTIFY_FUNCTIONS::wpa_check_profile_selection('WooCommerce') ) return;

	/*
	 * Check with roles assigned at dashboard settings.
  	 */
	$is_access_level = $WP_Analytify->settings->get_option('show_analytics_roles_dashboard','wp-analytify-dashboard');

	if( $WP_Analytify->pa_check_roles( $is_access_level ) ) {

		$acces_token  = get_option( "post_analytics_token" );
		if( $acces_token ) {

			$famous = '';
		?>

						<div class="analytify_main_setting_bar">
                    		<h2 class="analytify_pull_left analytify_t_pad">

							<span class="analytify_stats_of"><?php esc_html_e( 'Complete Statistics of the Site', 'wp-analytify-woocommerce' ); ?> <a href="<?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ) ?>" target="_blank"><?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ) ?></a></span>
                    		 </h2>
							<div class="analytify_pull_right analytify_setting">
		                        <div class="analytify_select_date">
		                            <form class="analytify_form_date" action="" method="post">
		                                <div class="analytify_select_date_fields">
		                                    <input type="hidden" name="st_date" id="analytify_start_val">
		                                    <input type="hidden" name="ed_date" id="analytify_end_val">

		                                    <label for="analytify_start">From:</label>
		                                    <input type="text" id="analytify_start" value="<?php echo isset( $s_date ) ? $s_date :
																					'' ?>">
		                                    <label for="analytify_end">To:</label>
		                                    <input type="text" id="analytify_end" value="<?php echo isset( $ed_date ) ? $ed_date :
																					'' ?>">
		                                    <div class="analytify_arrow_date_picker"></div>
		                                </div>
		                                <input type="submit" value="View Stats" name="view_data" class="analytify_submit_date_btn">
		                                <?php echo WPANALYTIFY_Utils::get_date_list() ?>
		                            </form>
		                        </div>
		                    </div>
						</div>

							<?php
                $analytify_enhanced_general_filter = apply_filters( 'analytify_enhanced_general_filter', false );

                $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:transactions,ga:transactionRevenue,ga:revenuePerTransaction,ga:uniquePurchases,ga:transactionsPerSession,ga:productAddsToCart,ga:productRemovesFromCart,ga:productCheckouts,ga:productListClicks,ga:productDetailViews', $start_date, $end_date, false, false, $analytify_enhanced_general_filter, false, 'show-woo-general-stats' );

                if ( isset( $stats->totalsForAllResults ) ) {
                  include WC_ANALYTIFY_PLUGIN_DIR . '/views/default/shopping-analysis.php';
                  pa_include_wocommerce( $WP_Analytify, $stats );
                }

							?>
              <?php
              $analytify_enhanced_geographic_filter = apply_filters( 'analytify_enhanced_geographic_filter', 'ga:country!=(not set);ga:itemQuantity>0' );

              $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:itemQuantity,ga:transactionRevenue', $start_date, $end_date, 'ga:country', '-ga:itemQuantity',  $analytify_enhanced_geographic_filter, 10, 'show-woo-geographical-stats' );

              if ( isset( $stats->totalsForAllResults ) ) {
                include WC_ANALYTIFY_PLUGIN_DIR . '/views/default/country-performance.php';
                pa_include_country_performance( $WP_Analytify, $stats, $report_url, $report_date_range );
              }

              ?>
              <?php
                $analytify_enhanced_roi_filter = apply_filters( 'analytify_enhanced_roi_filter', 'ga:transactionRevenue>0' );

                $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:sessions,ga:bounceRate,ga:transactions,ga:transactionRevenue', $start_date, $end_date,'ga:sourceMedium','-ga:transactionRevenue', $analytify_enhanced_roi_filter, 50, 'show-woo-roi-stats' );

                if ( isset( $stats->totalsForAllResults ) ) {
                  include WC_ANALYTIFY_PLUGIN_DIR . '/views/default/measuring-roi.php';
                  pa_include_woo_measuring_roi( $WP_Analytify, $stats, $report_url, $report_date_range );
                }
              ?>
							<?php
                // if compaings stats than don't add.
                if ( ! isset( $_GET['cn'] ) ) {

                  $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:itemRevenue,ga:uniquePurchases,ga:itemQuantity,ga:cartToDetailRate,ga:buyToDetailRate', $start_date, $end_date,'ga:productName','-ga:itemRevenue', 'ga:productName!=(not set)', 50, 'show-woo-product-performance-stats' );

                  if ( isset( $stats->totalsForAllResults ) ) {
                    include WC_ANALYTIFY_PLUGIN_DIR . '/views/default/products-performance.php';
                    pa_include_wocommerce_products( $WP_Analytify, $stats, $report_url, $report_date_range );
                  }

                }
							?>
							<?php
              // if compaings stats than don't add.
              if ( ! isset( $_GET['cn'] ) ) {

                $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:productListViews,ga:productListClicks,ga:productListCTR,ga:productAddsToCart,ga:productCheckouts,ga:uniquePurchases,ga:itemRevenue', $start_date, $end_date, 'ga:productListName', '-ga:itemRevenue', 'ga:productListName!=(not set)', 10, 'show-woo-product-list-stats' );

                if ( isset( $stats->totalsForAllResults ) ) {
                  include WC_ANALYTIFY_PLUGIN_DIR . '/views/default/lists-performance.php';
                  pa_include_wocommerce_lists_performance( $WP_Analytify, $stats );
                }
              }
							?>
							<?php
              // if compaings stats than don't add.
              if ( ! isset( $_GET['cn'] ) ) {

                $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:itemRevenue,ga:uniquePurchases,ga:itemQuantity,ga:cartToDetailRate,ga:buyToDetailRate', $start_date, $end_date,'ga:productCategoryHierarchy', '-ga:itemQuantity', 'ga:productCategoryHierarchy!=(not set)', 10 , 'pa_get_analytics_dashboard' );

                if ( isset( $stats->totalsForAllResults ) ) {
                  include WC_ANALYTIFY_PLUGIN_DIR . '/views/default/categories-performance.php';
                  pa_include_wocommerce_categories_performance( $WP_Analytify, $stats );
                }
              }
							?>

              <?php
                $analytify_enhanced_coupon_filter = apply_filters( 'analytify_enhanced_coupon_filter', 'ga:orderCouponCode!=(not set)' );
                $stats = get_transient(  md5( 'show-woo-coupons-analysis-stats' . $dashboard_profile_ID . $start_date . $end_date . $analytify_enhanced_coupon_filter ) );

                $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:transactionRevenue,ga:transactions,ga:revenuePerTransaction', $start_date, $end_date,'ga:orderCouponCode', '-ga:orderCouponCode', $analytify_enhanced_coupon_filter, 10, 'show-woo-coupons-analysis-stats' );

								if ( isset( $stats->totalsForAllResults ) ) {
									include WC_ANALYTIFY_PLUGIN_DIR . '/views/default/coupons.php';
									pa_include_wocommerce_coupons_performance( $WP_Analytify, $stats );
								  }
							?>


		<?php
	  	}
	  	else{
			esc_html_e( 'You must be logged in to see the Analytics Dashboard.', 'wp-analytify-woocommerce' );
		}

	}else{

		esc_html_e( 'You don\'t have access to WooCommerce Dashboard.', 'wp-analytify-woocommerce' );
	}
  ?>
</div>
