<?php

function pa_include_wocommerce_products( $current, $stats, $report_url, $report_date_range ) {

	if ( isset( $stats['rows'] ) && isset( $stats['rows'][0][0] ) ) {
		$famous = $stats['rows'][0][0];
	}
	?>
	<div class="analytify_general_status analytify_status_box_wraper">
		<div class="analytify_status_header">
			<h3>
				<?php esc_html_e( 'Products Performance', 'wp-analytify-woocommerce' ); ?>
				<?php $referral_url = 'https://analytics.google.com/analytics/web/#/report/conversions-ecommerce-product-performance/'; ?>
				<a href="<?php echo $referral_url . $report_url . $report_date_range; ?>" target="_blank" class="analytify_tooltip"><span class="analytify_tooltiptext"><?php _e( 'View All Top Product Performance', 'wp-analytify-woocommerce' ); ?></span><span aria-hidden="true" class="dashicons dashicons-external"></span></a>
			</h3>
		</div>
		<div class="analytify_status_body">

			<table class="analytify_data_tables wp_analytify_paginated" data-product-per-page="10">
				<thead>
					<tr>
						<th class="wd_1">
							#
						</th>
						<th>
							<?php esc_html_e( 'Name', 'wp-analytify-woocommerce' ); ?>
						</th>
						<th>
							<?php esc_html_e( 'Product Revenue', 'wp-analytify-woocommerce' ); ?>
						</th>
						<th class="">
							<?php esc_html_e( 'Unique Purchases', 'wp-analytify-woocommerce' ); ?>
						</th>
						<th class="">
							<?php esc_html_e( 'Quantity', 'wp-analytify-woocommerce' ); ?>
						</th>
						<th class="">
							<?php esc_html_e( 'Cart-to-Detail Rate', 'wp-analytify-woocommerce' ); ?>
						</th>
						<th class="">
							<?php esc_html_e( 'Buy-to-Detail Rate', 'wp-analytify-woocommerce' ); ?>
						</th>
					</tr>
				</thead>
				<tbody>

					<?php
					if ( ! empty( $stats['rows'] ) ) {
						$i = 0;
						foreach ( $stats['rows'] as $stat ) {
							$i++;
							?>
							<tr>
								<td>
									<?php echo $i; ?>
								</td>
								<td>
									<?php echo $stat[0]; ?>
								</td>
								<td class="analytify_txt_center">
									<?php echo get_woocommerce_currency_symbol() . number_format( $stat[1], 2 ); ?>
								</td>
								<td class="analytify_txt_center">
									<?php echo $stat[2]; ?>
								</td>
								<td class="analytify_txt_center">
									<?php echo $stat[3]; ?>
								</td>
								<td>
									<?php $percent_quantity = number_format( $stat[4], 2 ); ?>
									<?php echo $percent_quantity; ?> %
									<span class="analytify_bar_graph">
									  <span style="width: <?php echo $percent_quantity; ?>%;"></span>
									</span>
								</td>
								<td>
									<?php $percent_quantity = number_format( $stat[5], 2 ); ?>
									<?php echo $percent_quantity; ?> %
									<span class="analytify_bar_graph">
										<span style="width: <?php echo $percent_quantity; ?>%;"></span>
									</span>
								</td>
							</tr>
							<?php
						}
					} else {
						?>
						<tr>
							<td class="analytify_td_error_msg" colspan="7">
						<?php $current->no_records(); ?>
							</td>
						</tr>
						<?php
					}
					?>
				</tbody>
			</table>
		</div>
		<div class="analytify_status_footer">
			<?php if ( isset( $stat[0] ) ) : ?>
				<span class="analytify_info_stats">
					<?php
					echo sprintf( esc_html__( 'Did you know the most selling product (quantity wise) in your store is %1$s %2$s %3$s?', 'wp-analytify-woocommerce' ), '<strong>', $famous, '</strong>' );
					?>
				</span>
				<div class="wp_analytify_pagination"></div>
			<?php endif; ?>
		</div>
	</div>
<?php } ?>
<script type="text/javascript">
	jQuery(document).ready(function($) {
		wp_analytify_paginated();
	});
</script>
